From 2c8d4e6b2a89b8056a7d3c2f174bde442464fda8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Timo=20Ter=C3=A4s?= <timo.teras@iki.fi>
Date: Wed, 8 Apr 2015 11:25:31 +0000
Subject: [PATCH] main/linux-grsec: update grsec patch and config

migrate to pax xattr marking and enable usb host support on armhf
---
 main/linux-grsec/APKBUILD                          |     28 +-
 .../grsecurity-3.1-3.14.37-201503270048.patch      | 127475 -----------------
 .../grsecurity-3.1-3.14.37-201504051405.patch      | 127899 ++++++++++++++++++
 main/linux-grsec/kernelconfig.armhf                |     27 +-
 main/linux-grsec/kernelconfig.x86                  |      7 +-
 main/linux-grsec/kernelconfig.x86_64               |      7 +-
 6 files changed, 127940 insertions(+), 127503 deletions(-)
 delete mode 100644 main/linux-grsec/grsecurity-3.1-3.14.37-201503270048.patch
 create mode 100644 main/linux-grsec/grsecurity-3.1-3.14.37-201504051405.patch

diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index 3996e6e..c44d325 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -7,7 +7,7 @@ case $pkgver in
 *.*.*)	_kernver=${pkgver%.*};;
 *.*)	_kernver=${pkgver};;
 esac
-pkgrel=1
+pkgrel=2
 pkgdesc="Linux kernel with grsecurity"
 url=http://grsecurity.net
 depends="mkinitfs linux-firmware"
@@ -17,7 +17,7 @@ _config=${config:-kernelconfig.${CARCH}}
 install=
 source="http://ftp.kernel.org/pub/linux/kernel/v3.x/linux-$_kernver.tar.xz
 	http://ftp.kernel.org/pub/linux/kernel/v3.x/patch-$pkgver.xz
-	grsecurity-3.1-3.14.37-201503270048.patch
+	grsecurity-3.1-3.14.37-201504051405.patch
 
 	fix-memory-map-for-PIE-applications.patch
 	imx6q-no-unclocked-sleep.patch
@@ -166,25 +166,25 @@ dev() {
 
 md5sums="b621207b3f6ecbb67db18b13258f8ea8  linux-3.14.tar.xz
 cbc19671d2c8bab0eaf18bf3afa54f7b  patch-3.14.37.xz
-0d1341b1b8588274baa747e40db8df57  grsecurity-3.1-3.14.37-201503270048.patch
+16c2185b59f85b66ba9679eb5f389104  grsecurity-3.1-3.14.37-201504051405.patch
 c6a4ae7e8ca6159e1631545515805216  fix-memory-map-for-PIE-applications.patch
 1a307fc1d63231bf01d22493a4f14378  imx6q-no-unclocked-sleep.patch
-509a706cb2f0d40b3fe1ceaba4c8b47c  kernelconfig.x86
-e451ad5c3e590e4bd73ef45704428ee8  kernelconfig.x86_64
-e18158a62b940c4b12bafbacd1e00639  kernelconfig.armhf"
+78060d5fe4d22f3ff8ebdad76f2a99f0  kernelconfig.x86
+6af32d44523b76b23714fd8eb6d7ee27  kernelconfig.x86_64
+2088fe977722158d7989f928084d52ca  kernelconfig.armhf"
 sha256sums="61558aa490855f42b6340d1a1596be47454909629327c49a5e4e10268065dffa  linux-3.14.tar.xz
 ae2c25e7c53bffaf4e6f951a56eaa8ca645e7125cd28f16f870b7dc8aaa66b49  patch-3.14.37.xz
-0e533151c70a94084f6c408c3d77ed2c61e8bf96c347cc29e655a4511382dde7  grsecurity-3.1-3.14.37-201503270048.patch
+43ffb9159085c7194a6f3e767cb9fcd6b7a99ec4a79e187714a2714e5ef93970  grsecurity-3.1-3.14.37-201504051405.patch
 500f3577310be52e87b9fecdc2e9c4ca43210fd97d69089f9005d484563f74c7  fix-memory-map-for-PIE-applications.patch
 21179fbb22a5b74af0a609350ae1a170e232908572b201d02e791d2ce0a685d3  imx6q-no-unclocked-sleep.patch
-cb737416dbd1ff03372c924e3fa52ddaba5209adb46a82dd19ce20774753f7a9  kernelconfig.x86
-61a463b7595e34728fd002589713555a7084d8595ee878e5a0e9429a5d620d3b  kernelconfig.x86_64
-655e230d216896c769ec184cb7ec4f95aea3a13326251ffdf35c17426687d1b9  kernelconfig.armhf"
+66196a945d55ce0a164dc5a4303db77c1f47641ab8bf7b53e87f3f39bf23f356  kernelconfig.x86
+77ef1ce8fb80c93aaa9a1c629d5708a409184a72de480cd219f777eaec02caaf  kernelconfig.x86_64
+636419c6970c24ae6e02889f641aff606eb237c0ac1796efd992c545f77bc579  kernelconfig.armhf"
 sha512sums="5730d83a7a81134c1e77c0bf89e42dee4f8251ad56c1ac2be20c59e26fdfaa7bea55f277e7af156b637f22e1584914a46089af85039177cb43485089c74ac26e  linux-3.14.tar.xz
 40439c1262331ffd594a110bab6c2da04abd7718fb3f79661de46e0c7cd99d4d8e003bb412be2348df843d7d9abe310caf1e3cc1ec5343e4b92f0769b9cfada4  patch-3.14.37.xz
-139ed90ebf47aeb7f0bfd4c64a3e8c1b387641500f9ec4a972ec1ed2b9583b4b4e9618502b025dc83bbe08ab12735d78e1998c22c682c04b322ccd01db616bc5  grsecurity-3.1-3.14.37-201503270048.patch
+a5cd91d5aed495a34393fe0d4a944b4d8f7b7beabdf007c079711699f4d8b8dfa573827aa0358ad9efd4aef49192fa978567ec4f4de93982cf8afd63a90dec63  grsecurity-3.1-3.14.37-201504051405.patch
 4665c56ae1bbac311f9205d64918e84ee8b01d47d6e2396ff6b8adfb10aada7f7254531ce62e31edbb65c2a54a830f09ad05d314dfcd75d6272f4068945ad7c7  fix-memory-map-for-PIE-applications.patch
 87d1ad59732f265a5b0db54490dc1762c14ea4b868e7eb1aedc3ce57b48046de7bbc08cf5cfcf6f1380fa84063b0edb16ba3d5e3c5670be9bbb229275c88b221  imx6q-no-unclocked-sleep.patch
-1aed15e4b3db162e13ed1e17f19251c995e42623590a5dd112398fe16e34d1bd0e31da212993685836891d6b0063a6fab5175f90dcefe1872462d682510e3fb2  kernelconfig.x86
-e4d84befd2af779ce94d1a4b96bd0dc154718efcf1a418fab4e2d83ff16d3fb2e44d2173a6e7d71125a4b243337ead7d582379c556561476d7724069a80b65d2  kernelconfig.x86_64
-a324821ce93d4c7a019bb0760baca2ca8a009b168acfb4d9ffcde8185411fac930327cc52d75ca4431fb65cf60ea03d4b539f7477f24b84fa8ab80d502c65f86  kernelconfig.armhf"
+63b99a936f8ca561e42590ec639b2a86face1198c6a05d3450ff275ae3651f142e1a08795064562be7ad228097687f3fd745b19c1cdb0f48dcd1eeb2634fd46c  kernelconfig.x86
+d1e5c64796e29bbed2c6460e6a240cb31ec0cb6c2a6467a459efa14a620a6c0003c01cc925e3de8e272bbf8a82d6afa639d7703f895d5d3ccea069ea82db5104  kernelconfig.x86_64
+2b8d7afc769398b32eb03850069bde6ddb06ea54deea08d6c85356fb9c9d1d851ff3e72cf55d598aa2c56608efbf1b10e5051f1e07f0178dff5f1aa886fc843d  kernelconfig.armhf"
